
QGIS Application - Bug report #12419

QGIS 2.6.1 crashes on right-click change transparency in Layer Properties

2015-03-20 07:00 AM - Christopher Wesson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 20591

Description

Using rule-based styling, the software generally allows me to change transparency of rules using right-click, change transparency.

However if I attempt this on a rule to which I have added categories it crashes and gives me a mini-dump (two examples attached).

History

#1 - 2015-03-20 07:03 AM - Christopher Wesson

Dump files would not attach. Also note the work around is to click the plus symbol to expand the rule, highlight all the categories within the rule, and then

right-click functions work fine.

Not yet tested in 2.8 or later.

#2 - 2015-03-22 04:06 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Browser to Symbology

Not yet tested in 2.8 or later.

please do, here the tests on 2.8.1 are ok, so this means that we can eventually close this ticket.

#3 - 2015-05-10 05:22 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
